glibmm: Gio::DBus::NodeInfo Class Reference

glibmm 2.89.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Symbols | List of all members
Gio::DBus::NodeInfo Class Referencefinal
D-Bus API

NodeInfo - Stores information about nodes in a remote object hierarchy. More...

`#include <giomm/dbusintrospection.h>`

## Public Member Functions
void | reference () const
| Increment the reference count for this object.
void | unreference () const
| Decrement the reference count for this object.
GDBusNodeInfo * | gobj ()
| Provides access to the underlying C instance.
const GDBusNodeInfo * | gobj () const
| Provides access to the underlying C instance.
GDBusNodeInfo * | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
| NodeInfo ()=delete
| NodeInfo (const NodeInfo &)=delete
NodeInfo & | operator= (const NodeInfo &)=delete
Glib::RefPtr< InterfaceInfo > | lookup_interface (const Glib::ustring & name)
| Looks up information about an interface.
Glib::RefPtr< const InterfaceInfo > | lookup_interface (const Glib::ustring & name) const
| Looks up information about an interface.
Glib::RefPtr< InterfaceInfo > | lookup_interface ()
| Looks up information about the first interface.
Glib::RefPtr< const InterfaceInfo > | lookup_interface () const
| Looks up information about the first interface.

## Static Public Member Functions
static Glib::RefPtr< NodeInfo > | create_for_xml (const Glib::ustring & xml_data)
| Parses xml_data and returns a DBusNodeInfo representing the data.

## Protected Member Functions
void | operator delete (void *, std::size_t)

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Gio::DBus::NodeInfo > | wrap (GDBusNodeInfo * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

NodeInfo - Stores information about nodes in a remote object hierarchy.

Since glibmm 2.28

## Constructor & Destructor Documentation

## ◆ NodeInfo() [1/2]

Gio::DBus::NodeInfo::NodeInfo | ( |  | ) |
| delete

## ◆ NodeInfo() [2/2]

Gio::DBus::NodeInfo::NodeInfo | ( | const NodeInfo & |  | ) |
| delete

## Member Function Documentation

## ◆ create_for_xml()

Glib::RefPtr< NodeInfo > Gio::DBus::NodeInfo::create_for_xml | ( | const Glib::ustring & | xml_data | ) |
| static

Parses xml_data and returns a DBusNodeInfo representing the data.

The introspection XML must contain exactly one top-level <node> element.

Note that this routine is using a GMarkup-based parser that only accepts a subset of valid XML documents.

Since glibmm 2.26

Parameters

  xml_data | Valid D-Bus introspection XML.

Returns
  A DBusNodeInfo structure or nullptr if error is set. Free with g_dbus_node_info_unref().

Exceptions

  Glib::MarkupError |

## ◆ gobj() [1/2]

GDBusNodeInfo * Gio::DBus::NodeInfo::gobj | ( |  | ) |

Provides access to the underlying C instance.

## ◆ gobj() [2/2]

const GDBusNodeInfo * Gio::DBus::NodeInfo::gobj | ( |  | ) | const

Provides access to the underlying C instance.

## ◆ gobj_copy()

GDBusNodeInfo * Gio::DBus::NodeInfo::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ lookup_interface() [1/4]

Glib::RefPtr< InterfaceInfo > Gio::DBus::NodeInfo::lookup_interface | ( |  | ) |

Looks up information about the first interface.

## ◆ lookup_interface() [2/4]

Glib::RefPtr< const InterfaceInfo > Gio::DBus::NodeInfo::lookup_interface | ( |  | ) | const

Looks up information about the first interface.

## ◆ lookup_interface() [3/4]

Glib::RefPtr< InterfaceInfo > Gio::DBus::NodeInfo::lookup_interface | ( | const Glib::ustring & | name | ) |

Looks up information about an interface.

The cost of this function is O(n) in number of interfaces.

Since glibmm 2.26

Parameters

  name | A D-Bus interface name.

Returns
  A Gio::DBus::InterfaceInfo or nullptr if not found. Do not free, it is owned by info.

## ◆ lookup_interface() [4/4]

Glib::RefPtr< const InterfaceInfo > Gio::DBus::NodeInfo::lookup_interface | ( | const Glib::ustring & | name | ) | const

Looks up information about an interface.

The cost of this function is O(n) in number of interfaces.

Since glibmm 2.26

Parameters

  name | A D-Bus interface name.

Returns
  A Gio::DBus::InterfaceInfo or nullptr if not found. Do not free, it is owned by info.

## ◆ operator delete()

void Gio::DBus::NodeInfo::operator delete | ( | void * | ,
|  | std::size_t | )
| protected

## ◆ operator=()

NodeInfo & Gio::DBus::NodeInfo::operator= | ( | const NodeInfo & |  | ) |
| delete

## ◆ reference()

void Gio::DBus::NodeInfo::reference | ( |  | ) | const

Increment the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## ◆ unreference()

void Gio::DBus::NodeInfo::unreference | ( |  | ) | const

Decrement the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Gio::DBus::NodeInfo > wrap | ( | GDBusNodeInfo * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.